class TerminologyController < ApplicationController
  def show
    @terminology = Terminology.find(:first,:conditions => {
                                           :name => params[:name],
                                           :lang => params[:lang],
                                           :code => params[:code]})
    if @terminology.nil?
      render :text => '404 not found.', :status => 404
    else
      render :xml => @terminology.to_xml(
                           :skip_types => true, :only => [:rubric])
    end
  end
end
